<template>
  <div class="menu">
    <div class="menu-container">
      <!-- <b-row class="menu-bar m-0">
        <b-col class="h5 color-white4 p-0">
          MENU
        </b-col>
      </b-row> -->
      <div class="row m-0 menu-list" v-if="userDataData == 'marketing'">
        <b-col class="col-12 h6 color-white4 p-0">
          <router-link
            :to="{ name: 'Dashboard_Find' }"
            :class="{ active: currentRoute == 'Dashboard_Find' }"
            ><span>Search Keyword</span></router-link
          >
        </b-col>
        <b-col class="col-12 h6 color-white4 p-0">
          <router-link
            :to="{ name: 'Dashboard_Track' }"
            :class="{ active: currentRoute == 'Dashboard_Track' }"
            ><span>Tracking</span></router-link
          >
        </b-col>
        <b-col class="col-12 h6 color-white4 p-0">
          <router-link
            :to="{ name: 'Dashboard_Insight' }"
            :class="{ active: currentRoute == 'Dashboard_Insight' }"
            ><span>Campaign Insight</span></router-link
          >
        </b-col>
        <!-- <b-col class="col-12 h6 color-white4 p-0">
          <router-link
            :to="{ name: 'Dashboard_Track' }"
            :class="{ active: currentRoute == 'Dashboard_Track' }"
            ><span>Data Relation</span></router-link
          >
        </b-col> -->
        <b-col class="col-12 h6 color-white4 p-0">
          <router-link
            :to="{ name: 'Dashboard_Talking' }"
            :class="{ active: currentRoute == 'Dashboard_Talking' }"
            ><span>Brand Talking</span></router-link
          >
        </b-col>
        <b-col class="col-12 h6 color-white4 p-0">
          <router-link
            :to="{ name: 'Dashboard_Main' }"
            :class="{ active: currentRoute == 'Dashboard_Main' }"
            ><span>Current Trending</span></router-link
          >
        </b-col>
        <b-col class="col-12 h6 color-white4 p-0">
          <router-link
            :to="{ name: 'Dashboard_Summary' }"
            :class="{ active: currentRoute == 'Dashboard_Summary' }"
            ><span>Competitor</span></router-link
          >
        </b-col>
      </div>

      <div class="row m-0 menu-list" v-if="userDataData == 'customer'">
        <!-- <b-col class="col-12 h6 color-white4 p-0">
          <router-link
            :to="{ name: 'Dashboard_Main' }"
            :class="{ active: currentRoute == 'Dashboard_Main' }"
            ><span>Current Treding</span></router-link
          >
        </b-col> -->
        <b-col class="col-12 h6 color-white4 p-0">
          <router-link
            :to="{ name: 'Dashboard_Talking' }"
            :class="{ active: currentRoute == 'Dashboard_Talking' }"
            ><span>Brand Talking</span></router-link
          >
        </b-col>
        <b-col class="col-12 h6 color-white4 p-0">
          <router-link
            :to="{ name: 'Dashboard_Feeling' }"
            :class="{ active: currentRoute == 'Dashboard_Feeling' }"
            ><span>Customer Feeling</span></router-link
          >
        </b-col>
        <b-col class="col-12 h6 color-white4 p-0">
          <router-link
            :to="{ name: 'Dashboard_Realtime' }"
            :class="{ active: currentRoute == 'Dashboard_Realtime' }"
            ><span>Customer Reply</span></router-link
          >
        </b-col>
      </div>

      <div class="row m-0 menu-list" v-if="userDataData == 'executive'">
        <b-col class="col-12 h6 color-white4 p-0">
          <router-link
            :to="{ name: 'Dashboard_Tinking' }"
            :class="{ active: currentRoute == 'Dashboard_Tinking' }"
            ><span>Customer Thinking </span></router-link
          >
        </b-col>
        <b-col class="col-12 h6 color-white4 p-0">
          <router-link
            :to="{ name: 'Dashboard_Number' }"
            :class="{ active: currentRoute == 'Dashboard_Number' }"
            ><span>Number of customer talking about brand</span></router-link
          >
        </b-col>
        <b-col class="col-12 h6 color-white4 p-0">
          <router-link
            :to="{ name: 'Dashboard_ReplyRate' }"
            :class="{ active: currentRoute == 'Dashboard_ReplyRate' }"
            ><span>Reply rate by time</span></router-link
          >
        </b-col>
        <b-col class="col-12 h6 color-white4 p-0">
          <router-link
            :to="{ name: 'Dashboard_Realtime' }"
            :class="{ active: currentRoute == 'Dashboard_Realtime' }"
            ><span>Reply customer comment</span></router-link
          >
        </b-col>
        <b-col class="col-12 h6 color-white4 p-0">
          <router-link
            :to="{ name: 'Dashboard_Summary' }"
            :class="{ active: currentRoute == 'Dashboard_Summary' }"
            ><span>Competitor analyze</span></router-link
          >
        </b-col>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import Component from "vue-class-component";
import { Watch } from "vue-property-decorator";
import { Getter, namespace } from "vuex-class";
const AuthStore = namespace("auth");
@Component({
  name: "Menu"
})
export default class _Menu extends Vue {
  currentRoute: any = "";
  @Watch("$route", { immediate: true, deep: true })
  updateMenu() {
    this.currentRoute = this.$router.currentRoute.name;
  }

  @AuthStore.Getter("userDataData") userDataData!: string;
}
</script>

<style>
</style>
